Apache C++ Standard Library Reference Guide

## <iostream>

Library: Input/output

    Header

- Local Index
- Summary
- Synopsis
- See Also
- Standards Conformance

### Local Index

No Entries

### Summary

The header `<iostream>` is part of the Input/output library of the C++ Standard Library. It declares the eight standard iostream objects: `cin`, `cout`, `cerr`, `clog`, `wcin`, `wcout`, `wcerr`, and `wclog`.

### Synopsis

    namespace std {
      extern istream cin;
      extern ostream cout;
      extern ostream cerr;
      extern ostream clog;

      extern wistream wcin;
      extern wostream wcout;
      extern wostream wcerr;
      extern wostream wclog;
    }

### See Also

cin, cout, cerr, clog, wcin, wcout, wcerr, wclog

### Standards Conformance

ISO/IEC 14882:1998 -- International Standard for Information Systems --Programming Language C++, Section 27.3